import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:lba/screens/auth/onboarding.dart';
import 'package:lba/screens/auth/cubit/auth_cubit.dart';

void main() {
  runApp(
    BlocProvider(
      create: (context) => AuthCubit(),
      child: const MyApp(),
    ),
  );
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'LBA',
      theme: ThemeData(
        primaryColor: const Color.fromARGB(255, 14, 63, 102),
        buttonTheme: const ButtonThemeData(
          buttonColor: Color.fromARGB(255, 14, 63, 102),
        ),
        appBarTheme: const AppBarTheme(
          backgroundColor: Color.fromARGB(255, 14, 63, 102),
        ),
      ),
      home: const OnboardingScreen(),
    );
  }
}
